OGRE: Ogre::EXRCodec Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::EXRCodec Class Reference
Plugins » EXRCodec

`#include <OgreEXRCodec.h>`

Inheritance diagram for Ogre::EXRCodec:
[legend]

## Public Member Functions
| EXRCodec ()
virtual | ~EXRCodec ()
void | decode (const DataStreamPtr &input, const Any &output) const override
| Codes the data from the input chunk into the output chunk.
String | getType () const override
| Returns the type of the codec as a String.
String | magicNumberToFileExt (const char *magicNumberPtr, size_t maxbytes) const override
| Maps a magic number header to a file extension, if this codec recognises it.
Public Member Functions inherited from Ogre::Codec
virtual | ~Codec ()
virtual DataStreamPtr | encode (const Any &input) const
| Codes the input and saves the result in the output stream.
virtual void | encodeToFile (const Any &input, const String &outFileName) const
| Codes the data in the input chunk and saves the result in the output filename provided.
bool | magicNumberMatch (const char *magicNumberPtr, size_t maxbytes) const
| Returns whether a magic number header matches this codec.
virtual bool | setParameter (const String &name, const String &value)

## Additional Inherited Members
Static Public Member Functions inherited from Ogre::Codec
static Codec * | getCodec (char *magicNumberPtr, size_t maxbytes)
| Gets the codec that can handle the given 'magic' identifier.
static Codec * | getCodec (const String &extension)
| Gets the codec registered for the passed in file extension.
static StringVector | getExtensions (void)
| Gets the file extension list for the registered codecs.
static bool | isCodecRegistered (const String &codecType)
| Return whether a codec is registered already.
static void | registerCodec (Codec *pCodec)
| Registers a new codec in the database.
static void | unregisterCodec (Codec *pCodec)
| Unregisters a codec from the database.

## Constructor & Destructor Documentation

## ◆ EXRCodec()

Ogre::EXRCodec::EXRCodec | ( |  | ) |

## ◆ ~EXRCodec()

virtual Ogre::EXRCodec::~EXRCodec | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ decode()

void Ogre::EXRCodec::decode | ( | const DataStreamPtr & | input,
|  | const Any & | output ) const
| overridevirtual

Codes the data from the input chunk into the output chunk.

Parameters

  input | Stream containing the encoded data
  output | codec type specific result

Implements Ogre::Codec.

## ◆ magicNumberToFileExt()

String Ogre::EXRCodec::magicNumberToFileExt | ( | const char * | magicNumberPtr,
|  | size_t | maxbytes ) const
| overridevirtual

Maps a magic number header to a file extension, if this codec recognises it.

Parameters

  magicNumberPtr | Pointer to a stream of bytes which should identify the file. Note that this may be more than needed - each codec may be looking for a different size magic number.
  maxbytes | The number of bytes passed

Returns
  A blank string if the magic number was unknown, or a file extension.

Implements Ogre::Codec.

## ◆ getType()

String Ogre::EXRCodec::getType | ( |  | ) | const
| overridevirtual

Returns the type of the codec as a String.

Implements Ogre::Codec.

The documentation for this class was generated from the following file:

- OgreEXRCodec.h